Chapter 15. Db_map_base_iterator
Prev |  | Next

## Chapter 15. Db_map_base_iterator

#### Public Members

Member | Description
--- | ---
db_map_base_iterator | Copy constructor.
~db_map_base_iterator | Destructor.
operator++ | Pre-increment.
operator-- | Pre-decrement.
operator== | Equal comparison operator.
operator!= | Unequal comparison operator.
operator * | Dereference operator.
operator-> | Arrow operator.
refresh | Refresh iterator cached value.
close_cursor | Close underlying Berkeley DB cursor of this iterator.
move_to | Iterator movement function.
set_bulk_buffer | Modify bulk buffer size.
get_bulk_bufsize | Get bulk retrieval buffer size in bytes.
operator= | Assignment operator.

#### Group

Iterator Classes for db_map and db_multimap

## db_map_base_iterator

### Function Details

    db_map_base_iterator(const self &vi)

Copy constructor.

#### Parameters

##### vi

The other iterator of the same type to initialize this.

    db_map_base_iterator(const base &vi)

Base copy constructor.

#### Parameters

##### vi

Initialize from a base class iterator.

    db_map_base_iterator(db_container *powner, u_int32_t b_bulk_retrieval=0,
        bool rmw=false, bool directdbget=true,
        bool readonly=false)

Constructor.

#### Parameters

##### b_bulk_retrieval

The bulk read buffer size. 0 means bulk read disabled.

##### directdbget

Whether do direct database get rather than using key/data values cached in the iterator whenever read.

##### readonly

Whether open a read only cursor. Only effective when using Berkeley DB Concurrent Data Store.

##### powner

The container which creates this iterator.

##### rmw

Whether set DB_RMW flag in underlying cursor.

    db_map_base_iterator()

Default constructor, dose not create the cursor for now.

### Group: Constructors and destructor

Do not create iterators directly using these constructors, but call db_map::begin or db_multimap_begin to get instances of this class.

db_map::begin() db_multimap::begin()

### Class

db_map_base_iterator

Prev |  | Next
Chapter 14. Iterator Classes for db_map and db_multimap | Home | ~db_map_base_iterator